Public Member Functions | Private Attributes

# OrthogonalTileIterator Class Reference

Iterator to iterate over a tile area (rectangle) of the map. More...

`#include <tilearea_type.h>`

Inheritance diagram for OrthogonalTileIterator:

## Public Member Functions
| OrthogonalTileIterator (const OrthogonalTileArea &ta)
| Construct the iterator.
| OrthogonalTileIterator (TileIndex corner1, TileIndex corner2)
| Construct the iterator.
TileIterator & | operator++ ()
| Move ourselves to the next tile in the rectangle on the map.
virtual TileIterator * | Clone () const
| Allocate a new iterator that is a copy of this one.
## Private Attributes
int | w
| The width of the iterated area.
int | x
| The current 'x' position in the rectangle.
int | y
| The current 'y' position in the rectangle.

## Detailed Description

Iterator to iterate over a tile area (rectangle) of the map.

Definition at line 138 of file tilearea_type.h.

## Constructor & Destructor Documentation

OrthogonalTileIterator::OrthogonalTileIterator | ( | const OrthogonalTileArea & | ta | ) | `[inline]`

Construct the iterator.

Parameters:

  | ta | Area, i.e. begin point and width/height of to-be-iterated area.

Definition at line 149 of file tilearea_type.h.

Referenced by Clone(), and OrthogonalTileIterator().

OrthogonalTileIterator::OrthogonalTileIterator | ( | TileIndex | corner1,
|  | TileIndex | corner2 |
| ) |  |  | `[inline]`

Construct the iterator.

Parameters:

  | corner1 | Tile from where to begin iterating.
  | corner2 | Tile where to end the iterating.

Definition at line 158 of file tilearea_type.h.

References OrthogonalTileIterator().

The documentation for this class was generated from the following file:

- src/tilearea_type.h